<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

$hook = function($module_name, $options, &$items)
{
    /* $options enthlt nur den Schlssel $top */
    /* $items ergnzt die bestehende Liste */

    global $prefix, $user_prefix, $eBoardUser;


    /* die Variable $top extrahieren */
    //extract($options, EXTR_SKIP);

    $i_num = 0;

    /**
     * Top 10 
     */
	//define('MXB_INIT',TRUE);
	$mxQueryCount=0;
	$ModName = basename(dirname(dirname(__FILE__)));
	//include_once ("modules/" . $ModName . "/includes/initvar.php");
	//include_once ("modules/" . $ModName . "/includes/functions.php");
	include_once ("modules/" . $ModName . "/includes/header.php");
	include_once (MXB_SETTINGSFILE);
	
	$nbitemsinstats=$options['top'];
	//mxDebugFuncVars($eBoardUser);
	// alle Foren ermitteln, die der User sehen darf:
	// error_reporting(E_ALL);
	$query = sql_query("SELECT fid, moderator, userlist, private FROM $table_forums ORDER BY fid");
	while ($priv = sql_fetch_object($query)) {
		
	    if (isTrusted($priv)) {
	        $allowedboards[] = $priv->fid;
	    }
	}
	if (empty($allowedboards)) {
	    $allowedboards[] = '0'; // dummy für implode
	}
	$allowedboards = ' fid IN(' . implode(',', $allowedboards) . ')';

	$items[$module_name . $i_num]['caption']=_BOARD_TOPVIEWS;

	$query = sql_query("SELECT views, tid, subject FROM $table_threads WHERE $allowedboards ORDER BY views DESC LIMIT 0, " . intval($nbitemsinstats));
	
	while ($views = sql_fetch_object($query)) {
	  if ($views->views>0) {
	    $items[$module_name . $i_num]['list'][] = "<a href=\"" . MXB_BM_VIEWTHREAD1 . "tid=" . $views->tid . "\">" . strip_tags($views->subject) . "</a> (" . $views->views . " " . mxText("_VIEWS") . ")";
	  }
	}
	$i_num++;
	$items[$module_name . $i_num]['caption']=_BOARD_TOPREPLIES;

	$query = sql_query("SELECT replies, tid, subject FROM $table_threads WHERE $allowedboards ORDER BY replies DESC LIMIT 0, $nbitemsinstats");
	
	while ($reply = sql_fetch_object($query)) {
	  if ($reply->replies >0) {
	    $items[$module_name . $i_num]['list'][]= "<a href=\"" . MXB_BM_VIEWTHREAD1 . "tid=" . $reply->tid . "\">" . strip_tags($reply->subject) . "</a> (" . $reply->replies . " " . mxText("_REPLIES") . ")";
	  }
	}


// $items[$module_name . $i_num]['caption']
// $items[$module_name . $i_num]['list'][]
} ;

?>