<?php
/**
 * mxBoard, pragmaMx Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * $Author: PragmaMx $
 * $Revision: 10 $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 *
 * based on eBoard v1.1, rewrite and modified by
 * vkpMx-Developer-Team (http://www.maax-design.de)
 * Original source-code made by the XMB-team
 * (XMB-Forum, http://www.xmbforum.com), modified for nukestyle-systems
 * by Trollix (XForum, http://www.trollix.com).
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 */

defined('mxMainFileLoaded') or die('access denied');

/* check ob die verwendete pragmaMx Version korrekt ist */
(defined('PMX_VERSION') && version_compare(PMX_VERSION, '2.2.', '>=')) or
die('Sorry, pragmaMx-Version >= 2.2 is required for mxBoard.');
pmxBase::set("plugins",0);
include_once(dirname(__FILE__) . DS . 'includes' . DS . 'header.php');

if (empty($gid)) {
    $gid = 0;
} else {
    $gid = intval($gid);
    $query = sql_query("SELECT name FROM $table_forums WHERE fid='" . $gid . "' AND type='group'");
    $cat = sql_fetch_object($query);
    $mxbnavigator->add(false, $cat->name);
    unset($cat, $query);
}

?>

<table style="margin:0;padding:0; border:none; width:<?php echo $tablewidth?>;text-align:center">
<tr><td class="bordercolor">

<table style="border:none;margin:<?php echo $borderwidth?>px;padding:<?php echo $tablespace?>px;width:100%">
<tr>
<td style="border:none;margin:<?php echo $borderwidth?>px;padding:<?php echo $tablespace?>px;width:3%" class="mxb-header">&nbsp;</td>
<td style="border:none;margin:<?php echo $borderwidth?>px;padding:<?php echo $tablespace?>px;width:58%" class="mxb-header"><?php echo _TEXTFORUM?></td>
<td class="mxb-header" style="overflow:hidden;"><?php echo _TEXTTOPICS?></td>
<td class="mxb-header" style="overflow:hidden;"><?php echo _TEXTPOSTS?></td>
<td style="border:none;margin:<?php echo $borderwidth?>px;padding:<?php echo $tablespace?>px;width:19%" class="mxb-header"><?php echo _TEXTLASTPOST?></td>
</tr>
<?php

if (!$gid) {
    $query = sql_query("SELECT f.fid, f.name, f.moderator, f.private, f.description, f.userlist, f.posts, f.threads, f.type,
        CONVERT(f.lastpost, UNSIGNED) AS lastpost_at,
        SUBSTRING_INDEX(f.lastpost, '|',-1) AS lastpost_by,
        l.username AS lastpost_by_true
        FROM $table_forums AS f
          LEFT JOIN $table_members as l ON l.username = SUBSTRING_INDEX(f.lastpost, '|',-1)
        WHERE f.type='forum' AND f.status='on' AND f.fup=''
        ORDER BY f.displayorder");
    // Foren ohne Kategorie
    $strtemp = '';
    while ($forum = sql_fetch_object($query)) {
        if (isset($announcestatus) && $announcestatus == 'on' && !$gid) {
            $strtemp .= "<tr><td colspan=\"6\" class=\"category\"><a href=\"#\"><b>" . _TEXTTOPLEVEL . "</b></a></td></tr>";
        }
        if ($hideprivate != 'on' || mxbPrivateCheck($forum)) {
            $selectedres = mxbLastPostForumTid($forum->fid, $forum->type);
            $strtemp .= mxbListForum($forum, $selectedres->tid, $selectedres->subject);
        }
    }
    if ($strtemp) {
        echo $strtemp . '<tr class="tablerow bgcolor1"><td colspan="6" height="2"></td></tr>';
    }
    $queryg = sql_query("SELECT fid, name FROM $table_forums WHERE type='group' AND status='on' ORDER BY displayorder");
} else {
    $queryg = sql_query("SELECT fid,name FROM $table_forums WHERE type='group' AND fid='" . intval($gid) . "' AND status='on' ORDER BY displayorder");
} // end !gid
while ($group = sql_fetch_object($queryg)) {
    $query = sql_query("SELECT f.fid, f.name, f.moderator, f.private, f.description, f.userlist, f.posts, f.threads, f.type,
        CONVERT(f.lastpost, UNSIGNED) AS lastpost_at,
        SUBSTRING_INDEX(f.lastpost, '|',-1) AS lastpost_by,
        l.username AS lastpost_by_true
        FROM $table_forums AS f
          LEFT JOIN $table_members as l ON l.username = SUBSTRING_INDEX(f.lastpost, '|',-1)
        WHERE f.type='forum' AND f.status='on' AND f.fup='" . intval($group->fid) . "'
        ORDER BY f.displayorder");

    $Ligneforum = array();
    while ($forum = sql_fetch_object($query)) {
        if ($hideprivate != 'on' || mxbPrivateCheck($forum)) {
            $selectedres = mxbLastPostForumTid($forum->fid, $forum->type);
			if (!$selectedres) continue;
            $Ligneforum[] = mxbListForum($forum, $selectedres->tid, $selectedres->subject);
        }
    }
    if ($Ligneforum) {
        if (!$gid) {
            echo "<tr>"
             . "<td colspan=\"6\" class=\"category\"><a href=\"" . MXB_BM_INDEX1 . "gid=" . $group->fid . "\"><b>" . $group->name . "</b></a></td>"
             . "</tr>";
        }
        echo "\n" . implode("\n", $Ligneforum) . "\n";
        echo '<tr class="tablerow bgcolor1"><td colspan="6" height="2"></td></tr>';
    }
}

if (empty($gid)) {
    if ($whosonlinestatus == 'on') {
        $past = intval(time() - MX_SETINACTIVE_MINS);

        $guestcount = 0;
        $membercount = 0;
        if ($mxbshowonlineentiresite) {
            // Alle Gaeste ermitteln
            $result = sql_query("SELECT Count(ip) FROM ${prefix}_visitors
                        WHERE time>" . $past . " AND uid=0;");
            list($guestcount) = sql_fetch_row($result);
            // Alle Mitglieder ermitteln
            $result = sql_query("SELECT uname FROM ${user_prefix}_users
                        WHERE ((user_lastvisit >= " . $past . ") AND (user_stat=1) AND (user_lastmod<>'logout'))");
        } else {
            // Alle Gaeste ermitteln
            $result = sql_query("SELECT Count(ip) FROM ${prefix}_visitors
                        WHERE time>" . $past . " AND uid=0 AND module='" . mxAddSlashesForSQL(MXB_MODNAME) . "'");
            list($guestcount) = sql_fetch_row($result);
            // Alle Mitglieder ermitteln
            $result = sql_query("SELECT uname FROM ${user_prefix}_users
                        WHERE ((user_lastvisit >= " . $past . ") AND (user_stat=1) AND (user_lastmod='" . mxAddSlashesForSQL(MXB_MODNAME) . "'))");
        } while (list($uname2) = sql_fetch_row($result)) {
            $memtally[$uname2] = mxb_link2profile($uname2);
        }
        if (isset($memtally)) {
            $membercount = count($memtally);
            $memtally = implode(', ', $memtally);
        }

        $memonmsg = '<span class="f11pix">' . _WHOSONLINE1 . ' ' . $guestcount . ' ' . _WHOSONLINE2 . ' ' . $membercount . ' ' . _WHOSONLINE3 . '</span>';
        echo "<tr>"
         . "<td colspan=\"6\" class=\"category\"><strong><a href=\"" . MXB_BM_MISC1 . "action=online\" title=\"" . _WHOSONLINE . "\">" . _WHOSONLINE . "</a></strong>: " . $memonmsg . "</td>"
         . "</tr>";
        if (isset($memtally)) {
            echo "<tr>"
             . "<td class=\"tablerow bgcolor1\" align=\"center\"><a href=\"" . MXB_BM_MISC1 . "action=online\" title=\"" . _WHOSONLINE . "\">" . mxbGetImage('whosonline.gif', _WHOSONLINE, false) . "</a></td>"
             . "<td class=\"bgcolor2\" colspan=\"5\"><div class=\"f12pix\">" . $memtally . "</div></td>"
             . "</tr>";
        }
    }

    if ($indexstats == 'on') {
        $query = sql_query("SELECT fm.username, u.user_regtime
                            FROM $table_members AS fm
                            INNER JOIN {$user_prefix}_users AS u
                            ON fm.username = u.uname
                            ORDER BY u.user_regtime DESC LIMIT 0, 1");
        $lastmem = sql_fetch_object($query);
        $lastmember = $lastmem->username;
        $members = sql_num_rows($query);
        $query = sql_query("SELECT COUNT(tid) as nbsites FROM $table_threads");
        $row = sql_fetch_object($query);
        $threads = $row->nbsites;
        $query = sql_query("SELECT COUNT(pid) as nbsites FROM $table_posts");
        $row = sql_fetch_object($query);
        $posts = $row->nbsites;
        $posts = $threads + $posts;
        $memhtml = mxb_link2profile($lastmember);
        eval(_EVALINDEXSTATS);
        if ($members == "0") {
            $memhtml = "<b>" . _TEXTNOONE . "</b>";
        }
        $memhtml = "<span style=\"white-space: nowrap;\">" . _INDEXSTATS . "</span> <span style=\"white-space: nowrap;\">" . _STATS41 . " " . $memhtml . "</span>";
        $txtstats = ($statspage == 'on') ? "<a href=\"" . MXB_BM_STATS0 . "\">" . _TEXTSTATS . "</a>" : _TEXTSTATS;
        echo "<tr>"
         . "<td colspan=\"6\" class=\"category\"><strong>" . $txtstats . "</strong>: " . $memhtml . "</td>"
         . "</tr>";
    }
}

echo "</table></td></tr></table>";

$foldernote = mxbGetImage('new_posts.png', false) . " = " . _NEWPOSTS . "<br/>" . mxbGetImage('no_new_posts.png', false) . " = " . _NONEWPOSTS;

include_once(MXB_BASEMODINCLUDE . 'footer.php');

?>
