<?php
/**
 * mxBoard, pragmaMx Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * $Author: PragmaMx $
 * $Revision: 10 $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 *
 * based on eBoard v1.1, rewrite and modified by
 * vkpMx-Developer-Team (http://www.maax-design.de)
 * Original source-code made by the XMB-team
 * (XMB-Forum, http://www.xmbforum.com), modified for nukestyle-systems
 * by Trollix (XForum, http://www.trollix.com).
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 */

defined('mxMainFileLoaded') or die('access denied');

include_once(dirname(__FILE__) . DS . 'includes' . DS . 'header.php');
// nur diese Aktionen erlauben
if (empty($action)) {
    include_once(dirname(__FILE__) . '/index.php');
    return;
} else if ($action == 'faq') {
    $miscaction = _TEXTFAQ;
} else if ($action == 'online') {
    $miscaction = _WHOSONLINE;
} else if ($action == 'report') {
    $miscaction = _TEXTREPORTPOST;
} else {
    include_once(dirname(__FILE__) . '/index.php');
    return;
}

$mxbnavigator->add(false, $miscaction);

if ($action == 'faq') {
    if ($faqstatus != 'on') {
        return mxbExitMessage(_FAQOFF, true);
    }

    $stars = '';
    $allranks = '';
    $query = sql_query("SELECT * FROM $table_ranks ORDER BY posts");
    while ($ranks = sql_fetch_object($query)) {
        for($i = 0; $i < $ranks->stars; $i++) {
            $stars .= "<img src=\"" . MXB_BASEMODIMG . "/star.gif\" alt=\"\"/>";
        }
        $allranks .= "<tr><td class=\"altbg2\">" . $ranks->title . "</td><td class=\"altbg2\">$stars</td><td class=\"altbg2\">" . $ranks->posts . " " . _MEMPOSTS . "</td></tr>\n";
        $stars = '';
    }

    ?>

<table cellspacing="0" cellpadding="0" border="0" width="<?php echo $tablewidth?>" align="center">
<tr><td class="bordercolor">

<table border="0" cellspacing="<?php echo $borderwidth?>" cellpadding="<?php echo $tablespace?>" width="100%">
<tr class="mxb-header">
<td><?php echo _TEXTFAQ?></td>
</tr>

<tr><td class="tablerow altbg2">
<a name="bbcode"></a>
<b><?php echo _TEXTBBCODE?></b><br/>
<?php echo _BBCODEINFO?><p>&nbsp;</p>

<b><?php echo _TEXTUSERRANKS?></b><br/>
<?php echo _RANKINFO?><br/><br/>

<table cellspacing="0" cellpadding="0" border="0">
<tr><td class="bordercolor">
<table border="0" cellspacing="<?php echo $borderwidth ?>" cellpadding="2" width="100%">
<?php echo $allranks?>
</table>
</td></tr></table>
</td></tr>
</table>
</td></tr></table>

<?php
}

if ($action == 'online') {

    ?>
<table cellspacing="0" cellpadding="0" border="0" width="<?php echo $tablewidth?>" align="center">
<tr><td class="bordercolor">

<table border="0" cellspacing="<?php echo $borderwidth?>" cellpadding="<?php echo $tablespace?>" width="100%">
<tr class="mxb-header">
<td><?php echo _TEXTUSERNAME?></td>
<td><?php echo _TEXTTIME?></td>
<td><?php echo _TEXTLOCATION?></td>

<?php
    if ($eBoardUser['isadmin']) {
        echo "<td>" . _TEXTIPADDRESS . "</td>";
    }

    ?>
</tr>
<?php
    $query = sql_query("SELECT * FROM $table_whosonline ORDER BY `time` DESC");
    while ($online = sql_fetch_object($query)) {
        $onlinetime = date($timecode, (int)$online->time + ($timeoffset * 3600));

        $onlineusername = str_replace("xguest123", _TEXTGUEST1, $online->username);

        if ($online->username != "xguest123") {
            $online->username = mxb_link2profile($online->username, $onlineusername);
        } else {
            $online->username = $onlineusername;
        }

        ?>
<tr class="tablerow altbg1">
<td><?php echo $online->username?></td>
<td><?php echo $onlinetime?></td>
<td><?php echo $online->location?></td>

<?php
        if ($eBoardUser['isadmin']) {
            echo "<td>" . $online->ip . "</td>";
        }

        ?>
</tr>
<?php
    }
    echo "</table>
</td></tr></table>";
}

if ($action == "report") {
    if (mxbIsAnonymous()) {
        return mxbExitMessage(_TEXTNOACTION, false);
    }

    if ($reportpost != 'on') {
        return mxbExitMessage(_REPORTPOSTDISABLED, false);
    }
    // Hier wird gekuckt ob wir ueber einen Link kommen und jump ggf. definiert
    $jumper = mxbGetJumplink();

    if (empty($reportsubmit)) {

        ?>

<form method="post" name="input" action="<?php echo MXB_BM_MISC1 ?>action=report">

    <table cellspacing="0" cellpadding="0" border="0" width="<?php echo $tablewidth?>" align="center">
    <tr><td class="bordercolor">

    <table border="0" cellspacing="<?php echo $borderwidth?>" cellpadding="<?php echo $tablespace?>" width="100%">
    <tr class="mxb-header">
    <td colspan="2"><?php echo _TEXTREPORTPOST?></td>
    </tr>

    <tr class="tablerow">
    <td class="altbg1" valign="top" width="18%"><?php echo _TEXTREASON?></td>
    <td class="altbg2"><textarea rows="<?php echo $textarearows?>" cols="<?php echo $textareacols?>" name="reason"></textarea>
    </tr>

    </table>
    </td></tr></table>
    <input type="hidden" name="tid" value="<?php echo $tid?>">
    <input type="hidden" name="fid" value="<?php echo $fid?>">

<?php
        if ($pid) {

            ?>
<input type="hidden" name="pid" value="<?php echo $pid?>">
<?php
        }

        ?>
<?php
        if ($linkstatus == 'on') {

            ?>
<input type="hidden" name="jumplink" value="<?php echo $jumplink?>" />
<input type="hidden" name="lid" value="<?php echo $lid?>" />
<input type="hidden" name="linktype" value="thread" />
<input type="hidden" name="linkstatus" value="on" />
<?php
        }

        ?>
<center><br/><input type="submit" name="reportsubmit" value="<?php echo _TEXTREPORTPOST?>" /></center>
</form>
<?php
    }

    if (!empty($reportsubmit)) {
        $posturl = trim(MX_HOME_URL, '/') . "/" . MXB_BM_VIEWTHREAD1 . "tid=$tid";
        if ($pid) {
            $posturl .= "#pid$pid";
        }
        $posturl = str_replace('&amp;', '&', $posturl);

        $message = _REPORTMESSAGE . "\n   $posturl \n\n" . _TEXTUSERNAME . " " . $eBoardUser['username'] . "\n" . _TEXTREASON . "\n $reason ";
        $message = stripslashes($message);

        $query = sql_query("SELECT moderator FROM $table_forums WHERE fid=" . intval($fid));
        $forum = sql_fetch_object($query);
        $mods = '';
        if (!empty($forum->moderator)) {
            $mods = preg_split('#\s*,\s*#', trim($forum->moderator, ', '));
            $mods = "OR username in ('" . implode('', '', $mods) . "')";
        }

        $query = sql_query("SELECT fm.username, u.email, u.uname,  u.user_stat
                FROM $table_members AS fm
                LEFT JOIN {$user_prefix}_users AS u
                ON fm.username = u.uname
                WHERE status='Administrator' OR  status='Super Moderator' $mods");
        while ($whilemember = sql_fetch_object($query)) {
            if (is_object($whilemember) && !empty($whilemember->username) && !empty($whilemember->email)) {
                if ($whilemember->status != 'Administrator' && (empty($whilemember->uname) || $whilemember->user_stat != 1)) {
                    // falls es den Moderator nicht mehr als User gibt >> einfach weiter...
                    continue;
                }
                $sendmess = _HELLO . ' ' . $whilemember->username . ",\n" . $message;
                mxMail($whilemember->email, _REPORTSUBJECT, $sendmess);
            }
        }
        echo mxbMessageScreen(_REPORTMSG);
        echo mxbRedirectScript(MXB_BM_VIEWTHREAD1 . 'tid=' . $tid . $jumper, 1250);
    }
}
include_once(MXB_BASEMODINCLUDE . 'footer.php');

?>
