<?php
/**
 * mxBoard, pragmaMx Module
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * $Author: PragmaMx $
 * $Revision: 10 $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 *
 * based on eBoard v1.1, rewrite and modified by
 * vkpMx-Developer-Team (http://www.maax-design.de)
 * Original source-code made by the XMB-team
 * (XMB-Forum, http://www.xmbforum.com), modified for nukestyle-systems
 * by Trollix (XForum, http://www.trollix.com).
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 */

defined('mxMainFileLoaded') or die('access denied');
// $expire = 45;  // Lebensdauer der Seite im Cache in Sekunden
// header("Expires: " . gmdate("D, d M Y H:i:s", time()+$expire) ." GMT");
// header("Last-Modified: " . gmdate("D, d M Y H:i:s", getlastmod()) ." GMT");
// HTTP 1.1
// header("Cache-Control: private, max-age=" . $expire);
// MSIE 5.x special
// header("Cache-Control: pre-check=" . $expire, FALSE);
// unset($expire);
include_once(dirname(__FILE__) . DS . 'includes' . DS . 'header.php');

$result = sql_query("SELECT type, name, private, allowhtml, allowsmilies, allowbbcode, guestposting, fup, postperm, allowimgcode, userlist, moderator FROM $table_forums WHERE fid=" . intval($fid) . " AND type IN('forum','sub')");
$forums = sql_fetch_object($result);

if (!is_object($forums)) {
    return mxbExitMessage(_TEXTNOFORUM, true);
}

if (!mxbPrivateCheck($forums)) {
    return mxbExitMessage(_PRIVFORUMMSG, true);
}

if ($forums->guestposting != 'yes' && mxbIsAnonymous()) {
    return mxbExitMessage(sprintf(_TEXTFORUMNOGUESTPOSTING, MXB_URLREGISTER, MXB_URLLOGIN), true);
}

if (!mxbPostingAllowed($forums, 'reply')) {
    return mxbExitMessage(_POSTPERMERR, true);
}

$result = sql_query("SELECT subject, replies FROM $table_threads WHERE tid=" . intval($tid));
$threadrow = sql_fetch_object($result);

if (!is_object($threadrow)) {
    return mxbExitMessage(_TEXTNOTHREAD, true);
}

$threadname = stripslashes($threadrow->subject);

$jumper = mxbGetJumplink();

if (!mxbIsAnonymous()) {
    $username = $eBoardUser['username'];
} else {
    $username = MXB_ANONYMOUS;
}
//  Link-ergänzungen
if ($linkstatus == 'on') {
    $result = sql_query("SELECT name, fid FROM $table_forums WHERE fid=" . intval($jumplink));
    $fupjumplink = sql_fetch_object($result);
    if ($linktype == "thread") {
        $postaction = "<a href=\"" . MXB_BM_FORUMDISPLAY1 . "fid=" . $fupjumplink->fid . "\">" . $fupjumplink->name . "</a> &gt; <a href=\"" . MXB_BM_VIEWTHREAD1 . "tid=$tid$jumper\">$threadname</a> &gt; ";
    } else {
        $postaction = "<a href=\"" . MXB_BM_FORUMDISPLAY1 . "fid=" . $fupjumplink->fid . "\">" . $fupjumplink->name . "</a> &gt; <a href=\"" . MXB_BM_FORUMDISPLAY1 . "fid=$fid$jumper\">" . $forums->name . "</a> &gt; <a href=\"" . MXB_BM_VIEWTHREAD1 . "tid=$tid$jumper\">$threadname</a> &gt; ";
    }
} else {
    if ($forums->type == 'forum') {
        $postaction = "<a href=\"" . MXB_BM_FORUMDISPLAY1 . "fid=$fid\">" . $forums->name . "</a> &gt; <a href=\"" . MXB_BM_VIEWTHREAD1 . "tid=$tid\">$threadname</a> &gt; ";
    } else {
        $result = sql_query("SELECT name, fid FROM $table_forums WHERE fid=" . intval($forums->fup));
        $fup = sql_fetch_object($result);
        $postaction = "<a href=\"" . MXB_BM_FORUMDISPLAY1 . "fid=" . $fup->fid . "\">" . $fup->name . "</a> &gt; <a href=\"" . MXB_BM_FORUMDISPLAY1 . "fid=$fid\">" . $forums->name . "</a> &gt; <a href=\"" . MXB_BM_VIEWTHREAD1 . "tid=$tid\">$threadname</a> &gt; ";
    }
}

if (empty($previewpost)) {
    $postaction .= _TEXTPOSTREPLY;
} else {
    $postaction .= _TEXTPREVIEW;
}

$mxbnavigator->add(false, $postaction);

$posticon = (isset($posticon)) ? $posticon : '';

if ($forums->allowimgcode == 'yes') {
    $allowimgcode = _TEXTON;
} else {
    $allowimgcode = _TEXTOFF;
}

if ($forums->allowhtml == 'yes') {
    $allowhtml = _TEXTON;
} else {
    $allowhtml = _TEXTOFF;
}

if ($forums->allowsmilies == 'yes') {
    $allowsmilies = _TEXTON;
} else {
    $allowsmilies = _TEXTOFF;
}

if ($forums->allowbbcode == 'yes') {
    $allowbbcode = _TEXTON;
} else {
    $allowbbcode = _TEXTOFF;
}

$errormessage = array();
// -----------------------------------------------------------------------------
// Gültigkeits-Check
// -----------------------------------------------------------------------------
if (!empty($replysubmit) || !empty($previewpost)) {
    if (empty($message)) {
        $errormessage[] = _ERRORNOMESSAGE;
    } else {
        $message = nl2br($message);
        $message = preg_replace('#<br\s*/?>#i', '', $message);
        if (!trim($message)) {
            $errormessage[] = _ERRORNOMESSAGE;
        }
    }
}
// -----------------------------------------------------------------------------
// Flood-Control und Captcha
// -----------------------------------------------------------------------------
if (!isOnStaff($eBoardUser['status']) && !empty($replysubmit)) {
    $result = sql_query("SELECT lastpost FROM $table_forums WHERE fid=" . intval($fid));
    $row = sql_fetch_object($result);
    if (!empty($row->lastpost)) {
        $lastpost = explode('|', $row->lastpost);
        $rightnow = time() - $floodctrl;
        if ($rightnow <= $lastpost[0] && $username == $lastpost[1]) {
            $errormessage[] = sprintf(_FLOODPROTECT, $floodctrl);
        }
    }

    $result = mxbCheckCaptcha($eBoardUser);
    if ($result !== true) {
        $errormessage[] = $result; // _CAPTCHAWRONG
    }
}
// -----------------------------------------------------------------------------
// wenn Fehler aufgetreten, zur Vorschau umschalten, anstatt abzuspeichern
// -----------------------------------------------------------------------------
if (!empty($replysubmit) && !empty($errormessage)) {
    unset($replysubmit);
    $previewpost = _TEXTPREVIEW;
}
// -----------------------------------------------------------------------------
// Topic eingeben
// -----------------------------------------------------------------------------
if (empty($replysubmit) && empty($previewpost)) {
    $sigcheck = '';
    if (!mxbIsAnonymous() && !empty($eBoardUser['user_sig'])) {
        $sigcheck = ' checked="checked"';
    }
    if (isset($repquoteid)) {
        if (empty($repquoteid) && !empty($tid)) {
            $result = sql_query("SELECT * FROM $table_threads WHERE tid=" . intval($tid));
            $thaquote = sql_fetch_object($result);
        } elseif (!empty($repquoteid)) {
            $result = sql_query("SELECT * FROM $table_posts WHERE pid='" . intval($repquoteid) . "'");
            $thaquote = sql_fetch_object($result);
        }
        if (!empty($thaquote->fid)) {
            $result = sql_query("SELECT type, name, private, allowhtml, allowsmilies, allowbbcode, guestposting, fup, postperm, allowimgcode, userlist, moderator FROM $table_forums WHERE fid='" . intval($thaquote->fid) . "'");
            $quoteforum = sql_fetch_object($result);
            // / TODO: rechte vom quote Forum besser überprüfen
            if (mxbPrivateCheck($quoteforum)) {
                // [quote author=Andi link=topic=16670.msg115098#msg115098 date=1147701559]
                $pidlnk = (empty($thaquote->pid)) ? '' : ".msg" . $thaquote->pid . "#msg" . $thaquote->pid . "";
                $thaquote->message = mxbFixBbCodeQuote("[quote author=" . urlencode($thaquote->author) . " link=topic=" . $thaquote->tid . "" . $pidlnk . " date=" . $thaquote->dateline . "]" . stripslashes(trim($thaquote->message)) . " [/quote]\n");
                if (preg_match_all('#\[\[editby=([^=]+)=([0-9]+)\]\]#i', $thaquote->message, $matches)) {
                    foreach($matches[0] as $i => $match) {
                        $thaquote->message = trim(str_replace($match, '', $thaquote->message));
                    }
                }
            } else {
                $thaquote->message = '';
            }
        }
    }
    pmxHeader::add_script(MXB_BASEMODJS . '/unb_lib.js');

    ?>
<form method="post" name="input" action="<?php echo MXB_BM_POSTREPLY1 ?>fid=<?php echo $fid?>&amp;tid=<?php echo $tid, $jumper?>#preview">
<table cellspacing="0" cellpadding="0" border="0" width="<?php echo $tablewidth?>" align="center">
<tr><td class="bordercolor">

<table border="0" cellspacing="<?php echo $borderwidth?>" cellpadding="<?php echo $tablespace?>" width="100%">
<tr class="mxb-header">
<td colspan="2"><?php echo _TEXTPOSTREPLY?></td>
</tr>

<tr valign="top" class="tablerow">

<td class="altbg1" valign="top"><b><?php echo _TEXTMESSAGE?></b>
<br/><br/>

<?php
    if ($forums->allowsmilies == 'yes') {
        echo mxbShowTableSmilies();
    }

    ?>
</td>

<td class="altbg2">

<table width="100%">
<?php

    if ($forums->allowbbcode == 'yes') {

        ?>
<tr>
  <td align="left" width="100%"><?php echo mxbShowIconesBB() ?></td>
</tr>
<?php
    }

    ?>
<tr>
  <td align="left" width="100%">
  <textarea name="message" id="message" rows="<?php echo $textarearows?>" cols="<?php echo $textareacols?>" onkeydown="return UnbTextKeydownHandler(this)" style="width: 99%;"><?php echo ((empty($thaquote->message)) ? '' : $thaquote->message) ?></textarea>
    <script type="text/javascript">
        /*<![CDATA[*/
        var textbox = getel("message");
        UnbGlobalRegisterKeyHandler(13, 0, 2);
        /*]]>*/
    </script>
  </td>
</tr>
</table>

</td>
</tr>

<tr valign="top" class="tablerow">
  <td class="altbg1" valign="top"><b><?php echo _TEXTRIGHTS?></b><br/><br/>
    <span class="f11pix">
    <?php echo _TEXTHTMLIS?> <?php echo $allowhtml?><br />
    <?php echo _TEXTSMILIESARE?>  <?php echo $allowsmilies?><br />
    <?php echo _TEXTBBCODEIS?> <?php echo $allowbbcode?><br />
    <?php echo _TEXTIMGCODEIS?> <?php echo $allowimgcode?>
  </span>
</td>
<td class="altbg2" valign="top">
<?php

    if ($forums->allowsmilies == 'yes') {

        ?>
  <input type="checkbox" name="smileyoff" value='yes' /> <?php echo _TEXTDISSMILEYS?><br />
<?php
    }

    if ($forums->allowbbcode == 'yes') {

        ?>
  <input type="checkbox" name="bbcodeoff" value='yes' /> <?php echo _BBCODEOFF?><br />
<?php
    }

    if (!mxbIsAnonymous()) {

        ?>
  <input type="checkbox" name="usesig" value='yes' <?php echo $sigcheck?> /> <?php echo _TEXTUSESIG?><br />
  <input type="checkbox" name="emailnotify" value='yes' /> <?php echo _EMAILNOTIFYTOREPLIES?><br />
<?php
    }

    ?>
</td>
</tr>

<?php
    if ($piconstatus == 'on') {

        ?>
  <tr valign="top" class="tablerow">
    <td class="altbg1"><b><?php echo _TEXTICON?></b></td>
    <td class="altbg2"><?php echo mxbShowPostIcons($posticon)?></td>
  </tr>
<?php
    }
    if (mxbUseCaptcha($eBoardUser)) {
        echo mxbPrintCaptcha();
    }

    ?>
  <tr class="tablerow">
    <td colspan="2" class="altbg1" align="center">
    <br/><input type="submit" name="replysubmit" value="<?php echo _TEXTPOSTREPLY?>" />
        <input type="submit" name="previewpost" value="<?php echo _TEXTPREVIEW?>" /><br/><br/>
    </td>
  </tr>

</table>
</td></tr></table>
</form>
<?php
    mxb_post_reply_preview();
}
// -----------------------------------------------------------------------------
// Vorschau
// -----------------------------------------------------------------------------
if (!empty($previewpost)) {
    $currtime = time();
    $date = gmdate("n/j/y", $currtime + ($timeoffset * 3600));
    $time = gmdate("H:i", $currtime + ($timeoffset * 3600));
    $poston = _TEXTPOSTON . " $date " . _TEXTAT . " $time";

    if (!empty($smileyoff) && $smileyoff == 'yes') {
        $smileoffcheck = ' checked="checked"';
    } else {
        $smileyoff = 'off';
        $smileoffcheck = '';
    }
    if (!empty($bbcodeoff) && $bbcodeoff == 'yes') {
        $codeoffcheck = ' checked="checked"';
    } else {
        $bbcodeoff = 'off';
        $codeoffcheck = '';
    }
    $usesigcheck = '';
    if (!empty($usesig) && $usesig == 'yes') {
        $usesigcheck = ' checked="checked"';
    }
    $notifycheck = '';
    if (!empty($emailnotify) && $emailnotify == 'yes') {
        $notifycheck = ' checked="checked"';
    }

    $message = (empty($message)) ? '' : stripslashes($message);
    $message1 = mxbPostify($message, $forums->allowhtml, $forums->allowsmilies, $forums->allowbbcode, $forums->allowimgcode, $smileyoff, $bbcodeoff);
    if (!empty($usesig) && $usesig == 'yes' && !empty($eBoardUser['user_sig'])) {
            $message1 .= mxb_add_signatur($eBoardUser['user_sig']);
    }

    ?>
<a name="preview" id="preview"></a>
<?php
    if (!empty($errormessage)) {
        $errormessage = implode('</li><li>', $errormessage);

        ?>
<table cellspacing="1" cellpadding="0" border="0" width="<?php echo $tablewidth?>" align="center">
<tr>
  <td style="background-color: <?php echo $color1?>">
<table border="0" cellspacing="<?php echo $borderwidth?>" cellpadding="<?php echo $tablespace?>" width="100%">
<tr class="tablerow altbg1">
  <td>
  <p><strong><?php echo _MXBERRORWHILESUBMIT ?></strong></p>
  <ul><li><?php echo $errormessage ?></li></ul>
  </td>
</tr>
</table>
  </td>
</tr>
</table>
<br />
<?php
    } // END if (isset($errormessage))
    pmxHeader::add_script(MXB_BASEMODJS . '/unb_lib.js');

    ?>
<table cellspacing="0" cellpadding="0" border="0" width="<?php echo $tablewidth?>" align="center">
<tr>
  <td class="bordercolor">

<table border="0" cellspacing="<?php echo $borderwidth?>" cellpadding="<?php echo $tablespace?>" width="100%">
<tr class="mxb-header">
  <td colspan="2"><?php echo _TEXTPREVIEW?></td>
</tr>

<tr class="tablerow altbg1">
  <td rowspan="2" valign="top" width="18%"><span class="postauthor"><?php echo $username?></span><br /><br /></td>
  <td width="82%"> <?php echo $poston?></td></tr><tr class="tablerow altbg1" >
  <td height = "120" valign = "top" width = "82%" >
    <div class="ebpostchild f12pix"><?php echo $message1 ?></div>
  </td></tr>
</table>

  </td>
</tr>
</table>
<br />
<form method="post" name="input" action="<?php echo MXB_BM_POSTREPLY1 ?>fid=<?php echo $fid?>&amp;tid=<?php echo $tid, $jumper?>#preview">
<table cellspacing="0" cellpadding="0" border="0" width="<?php echo $tablewidth?>" align="center">
<tr><td class="bordercolor">

<table border="0" cellspacing="<?php echo $borderwidth?>" cellpadding="<?php echo $tablespace?>" width="100%">
<tr class="mxb-header">
<td colspan="2"><?php echo _TEXTPOSTREPLY?></td>
</tr>

<tr valign="top" class="tablerow">
<td class="altbg1" valign="top"><b><?php echo _TEXTMESSAGE?></b>
<br/><br/>

<?php

    if ($forums->allowsmilies == 'yes') {
        echo mxbShowTableSmilies();
    }

    ?>
</td>

<td class="altbg2">

<table width="100%">
<?php

    if ($forums->allowbbcode == 'yes') {

        ?>
<tr>
  <td align="left" width="100%"><?php echo mxbShowIconesBB() ?></td>
</tr>
<?php
    }

    ?>
<tr>
    <td align="left" width="100%">
    <textarea name="message" id="message" rows="<?php echo $textarearows?>" cols="<?php echo $textareacols?>" onkeydown="return UnbTextKeydownHandler(this)" style="width: 99%;"><?php echo htmlspecialchars(mxbFixBbCodeQuote($message)) ?></textarea>
    <script type="text/javascript">
        /*<![CDATA[*/
        var textbox = getel("message");
        UnbGlobalRegisterKeyHandler(13, 0, 2);
        /*]]>*/
    </script>
    </td>
</tr>
</table>

</td>
</tr>

<tr valign="top" class="tablerow">
  <td class="altbg1" valign="top"><b><?php echo _TEXTRIGHTS?></b><br/><br/>
    <span class="f11pix">
    <?php echo _TEXTHTMLIS?> <?php echo $allowhtml?><br />
    <?php echo _TEXTSMILIESARE?>  <?php echo $allowsmilies?><br />
    <?php echo _TEXTBBCODEIS?> <?php echo $allowbbcode?><br />
    <?php echo _TEXTIMGCODEIS?> <?php echo $allowimgcode?>
  </span>
</td>
<td class="altbg2" valign="top">
<?php

    if ($forums->allowsmilies == 'yes') {

        ?>
  <input type="checkbox" name="smileyoff" value='yes' <?php echo $smileoffcheck?> /> <?php echo _TEXTDISSMILEYS?><br />
<?php
    }

    if ($forums->allowbbcode == 'yes') {

        ?>
  <input type="checkbox" name="bbcodeoff" value='yes' <?php echo $codeoffcheck?> /> <?php echo _BBCODEOFF?><br />
<?php
    }

    if (!mxbIsAnonymous()) {

        ?>
<input type="checkbox" name="usesig" value='yes' <?php echo $usesigcheck?> /> <?php echo _TEXTUSESIG?><br />
<input type="checkbox" name="emailnotify" value='yes' <?php echo $notifycheck?> /> <?php echo _EMAILNOTIFYTOREPLIES?><br /> <?php
    }

    ?>
</td>
</tr>

<?php
    if ($piconstatus == 'on') {

        ?>
  <tr valign="top" class="tablerow">
    <td class="altbg1"><b><?php echo _TEXTICON?></b></td>
    <td class="altbg2"><?php echo mxbShowPostIcons($posticon)?></td>
  </tr>
<?php
    }
    if (mxbUseCaptcha($eBoardUser)) {
        echo mxbPrintCaptcha();
    }

    ?>
  <tr class="tablerow">
    <td colspan="2" class="altbg1" align="center"><br/>
        <input type="submit" name="replysubmit" value="<?php echo _TEXTPOSTREPLY?>" />
        <input type="submit" name="previewpost" value="<?php echo _TEXTPREVIEW?>" /><br/><br/>
    </td>
  </tr>

</table>
</td></tr></table>

<input type="hidden" name="username" value="<?php echo $username?>"/>
</form>

<?php
    mxb_post_reply_preview();
}
// -----------------------------------------------------------------------------
// Topic in Datenbank schreiben
// -----------------------------------------------------------------------------
if (!empty($replysubmit)) {
    $message = mxAddSlashesForSQL($message);

    if (empty($smileyoff) || $smileyoff != 'yes') {
        $smileyoff = 'off';
    }
    if (empty($bbcodeoff) || $bbcodeoff != 'yes') {
        $bbcodeoff = 'off';
    }
    if (empty($usesig) || $usesig != 'yes') {
        $usesig = 'no';
    }
    if (empty($emailnotify) || $emailnotify != 'yes' || mxbIsAnonymous()) {
        $emailnotify = 'no';
    }

    $result = sql_query("SELECT closed FROM $table_threads WHERE fid=" . intval($fid) . " AND tid=" . intval($tid));
    $closed1 = sql_fetch_object($result);
    $closed = $closed1->closed;

    if ($closed != 'yes') {
        $thatime = time();

        $result = sql_query("SELECT author FROM $table_threads WHERE tid=" . intval($tid) . " AND emailnotify='yes'");
        $thread = sql_fetch_object($result);

        if ($thread) {
            $result_user = sql_query("SELECT fm.username, u.email, fm.status, u.uname, u.user_stat
                                    FROM $table_members AS fm
                                    LEFT JOIN {$user_prefix}_users AS u
                                    ON fm.username = u.uname
                                    WHERE fm.username='" . substr($thread->author, 0, 25) . "'");
            $objectuser = sql_fetch_object($result_user);
            if (!$objectuser || ($objectuser->status != 'Administrator' && (empty($objectuser->uname) || $objectuser->user_stat != 1))) {
                // wenn nicht vorhanden, einfach weiter
                // by Andi: doof gecodet, ich weiss, aber da war ich zu faul die bedingung umzuschreiben :-))
            } else {
                $theurl = trim(MX_HOME_URL, '/') . "/" . MXB_BM_VIEWTHREAD1 . "tid=$tid";
                $theurl = preg_replace("/\/{1,}modules/", "/modules", $theurl);
                if (($emailalltoadmin == 'on') && ($mailonpost == 'on')) {
                    if ($objectuser->email != $adminemail && $eBoardUser['username'] != $thread->author) {
                        $mailstore[$objectuser->email] = $objectuser->email;
                        mxMail($objectuser->email, '[' . $bbname . '] ' . _EMAILNOTIFYSUBJECT . " " . strip_tags($threadname), _EMAILNOTIFYINTRO . "\n\n" . _TEXTFORUM . " \"" . strip_tags($forums->name) . "\"\n" . _TEXTSUBJECT . " \"" . strip_tags($threadname) . "\"\n" . _TEXTAUTHOR . " \"" . $eBoardUser['username'] . "\"\n\n" . _TEXTMESSAGE . "\n\"$message\"\n\n\n" . _EMAILNOTIFYINTRO2 . "\n\n$theurl\n\n" . _EMAILNOTIFYEND);
                    }
                } elseif ($eBoardUser['username'] != $thread->author) {
                    $mailstore[$objectuser->email] = $objectuser->email;
                    mxMail($objectuser->email, '[' . $bbname . '] ' . _EMAILNOTIFYSUBJECT . " " . strip_tags($threadname), _EMAILNOTIFYINTRO . "\n\n" . _TEXTFORUM . " \"" . strip_tags($forums->name) . "\"\n" . _TEXTSUBJECT . " \"" . strip_tags($threadname) . "\"\n" . _TEXTAUTHOR . " \"" . $eBoardUser['username'] . "\"\n\n" . _TEXTMESSAGE . "\n\"$message\"\n\n\n" . _EMAILNOTIFYINTRO2 . "\n\n$theurl\n\n" . _EMAILNOTIFYEND);
                }
            }
        }

        if (($emailalltomoderator == 'on') || ($emailalltoadmin == 'on')) {
            $theurl = trim(MX_HOME_URL, '/') . "/" . MXB_BM_VIEWTHREAD1 . "tid=$tid";
            $theurl = preg_replace("/\/{1,}modules/", "/modules", $theurl);
            $mailsubject = '[' . $bbname . '] ' . _EMAILNOTIFYSUBJECT . " " . strip_tags($threadname);
            $mailmessage = _EMAILNOTIFYINTRO . "\n\n" . _TEXTFORUM . " \"" . strip_tags($forums->name) . "\"\n" . _TEXTSUBJECT . " \"" . strip_tags($threadname) . "\"\n" . _TEXTAUTHOR . " \"" . $eBoardUser['username'] . "\"\n\n" . _TEXTMESSAGE . "\n\"$message\"\n\n\n" . _EMAILNOTIFYINTRO2 . "\n\n$theurl\n\n" . _EMAILNOTIFYEND;

            if ($mailonpost == 'on' && $emailalltoadmin == 'on') {
                mxbNotifyAdmin($fid, $mailsubject, $mailmessage, "notifypost");
            }

            if ($moderatormailonpost == 'on' && $emailalltomoderator == 'on') {
                mxbNotifyModerator($fid, $mailsubject, $mailmessage, "notifypost");
            }
        }

        $result = sql_query("SELECT author FROM $table_posts WHERE tid=" . intval($tid) . " AND emailnotify='yes' AND author!='" . substr($eBoardUser['username'], 0, 25) . "'");
        while ($post = sql_fetch_object($result)) {
            if ($post) {
                $result_user = sql_query("SELECT fm.username, u.email, fm.status, u.uname, u.user_stat
                                    FROM $table_members AS fm
                                    LEFT JOIN {$user_prefix}_users AS u
                                    ON fm.username = u.uname
                                    WHERE fm.username='" . substr($post->author, 0, 25) . "'");
                $objectuser = sql_fetch_object($result_user);
                if (!$objectuser || ($objectuser->status != 'Administrator' && (empty($objectuser->uname) || $objectuser->user_stat != 1))) {
                    // wenn nicht vorhanden, einfach weiter
                    continue;
                }
                $theurl = trim(MX_HOME_URL, '/') . "/" . MXB_BM_VIEWTHREAD1 . "tid=$tid";
                $theurl = preg_replace("/\/{1,}modules/", "/modules", $theurl);
                if (empty($mailstore[$objectuser->email])) {
                    $mailstore[$objectuser->email] = $objectuser->email;
                    mxMail($objectuser->email, '[' . $bbname . '] ' . _EMAILNOTIFYSUBJECT . " " . strip_tags($threadname), _EMAILNOTIFYINTRO . "\n\n" . _TEXTFORUM . " \"" . strip_tags($forums->name) . "\"\n" . _TEXTSUBJECT . " \"" . strip_tags($threadname) . "\"\n" . _TEXTAUTHOR . " \"" . $eBoardUser['username'] . "\"\n\n" . _TEXTMESSAGE . "\n\"$message\"\n\n\n" . _EMAILNOTIFYINTRO2 . "\n\n$theurl\n\n" . _EMAILNOTIFYEND);
                }
            }
        }

        sql_query("INSERT INTO $table_posts VALUES ('$fid', '$tid', '', '" . $eBoardUser['username'] . "', '$message', '$thatime', '$posticon', '$usesig', '$onlineip', '$bbcodeoff', '$smileyoff', '$emailnotify')");

        $querypid = sql_query("SELECT pid FROM $table_posts WHERE tid=" . intval($tid) . " AND author='" . substr($eBoardUser['username'], 0, 25) . "' AND dateline='$thatime' AND useip='$onlineip'");
        list($pid) = sql_fetch_row($querypid);

        sql_query("UPDATE $table_threads SET lastpost='$thatime|$username', replies=replies+1 WHERE tid=" . intval($tid));
        sql_query("UPDATE $table_forums SET lastpost='$thatime|$username', posts=posts+1 WHERE fid=" . intval($fid));
        $getmainforum = sql_query("SELECT type, fup FROM $table_forums WHERE fid=" . intval($fid));
        $for = sql_fetch_object($getmainforum);
        if ($for->type == 'sub') {
            sql_query("UPDATE $table_forums SET lastpost='$thatime|$username', posts=posts+1 WHERE fid='" . intval($for->fup) . "'");
        }
        //  Link-Ergänzung
        // hier wird das Lastpost-Datum der Links und deren Ziele aktualisiert
        if ($linkforumstatus == 'on') {
            $getlink = sql_query("SELECT lid, toid, status FROM $table_links WHERE type='forum' AND fromid=" . intval($fid));
            while ($followlink = sql_fetch_object($getlink)) {
                sql_query("UPDATE $table_links SET lastpost='$thatime|$username' WHERE lid='" . intval($followlink->lid) . "'");
                if ($followlink->status == 'on') {
                    sql_query("UPDATE $table_forums SET lastpost='$thatime|$username' WHERE fid='" . intval($followlink->toid) . "'");
                    $getmainforumlink = sql_query("SELECT type, fup FROM $table_forums WHERE fid='" . intval($followlink->toid) . "'");
                    $forlink = sql_fetch_object($getmainforumlink);
                    if ($forlink->type == 'sub') {
                        sql_query("UPDATE $table_forums SET lastpost='$thatime|$username' WHERE fid='" . intval($forlink->fup) . "'");
                    }
                }
            } //while
        } // Ende Link-Forum-Status
        if ($linkthreadstatus == 'on') {
            $getlink = sql_query("SELECT lid, toid, status FROM $table_links WHERE type='thread' AND fromid=" . intval($tid));
            while ($followlink = sql_fetch_object($getlink)) {
                sql_query("UPDATE $table_links SET lastpost='$thatime|$username' WHERE lid='" . intval($followlink->lid) . "'");
                if ($followlink->status == 'on') {
                    sql_query("UPDATE $table_forums SET lastpost='$thatime|$username' WHERE fid='" . intval($followlink->toid) . "'");
                    $getmainforumlink = sql_query("SELECT type, fup FROM $table_forums WHERE fid='" . intval($followlink->toid) . "'");
                    $forlink = sql_fetch_object($getmainforumlink);
                    if ($forlink->type == 'sub') {
                        sql_query("UPDATE $table_forums SET lastpost='$thatime|$username' WHERE fid='" . intval($forlink->fup) . "'");
                    }
                }
            } //while
        } // Ende Link-Thread-Status
        //  Ende Link-Ergänzung
        if (!mxbIsAnonymous()) {
            mxbRepairUserPostNum($eBoardUser['username']);
        }
    } else {
        return mxbExitMessage(_CLOSEDMSG, false);
    }

    if (($threadrow->replies + 1) > $ppp) {
        $viewthreadpage = "&amp;page=" . ceil(($threadrow->replies + 1) / $ppp);
    } else {
        $viewthreadpage = '';
    }
    echo mxbMessageScreen(_REPLYMSG);
    echo mxbRedirectScript(MXB_BM_VIEWTHREAD1 . 'tid=' . $tid . $viewthreadpage . $jumper . '#pid' . $pid, 1250);
}

include_once(MXB_BASEMODINCLUDE . 'footer.php');
// ////////////////////////////// funktionen, nur fuer diese Datei ////////////////////////////
function mxb_post_reply_preview()
{
    extract($GLOBALS);

    ?>
<br/>
<table cellspacing="0" cellpadding="0" border="0" width="<?php echo $tablewidth?>" align="center">
<tr><td class="bordercolor">

<table border="0" cellspacing="<?php echo $borderwidth?>" cellpadding="<?php echo $tablespace?>" width="100%">
<tr class="mxb-header">
<td colspan="2"><?php echo _TEXTTOPICREVIEW?></td>
</tr>
<?php
    $result = sql_query("SELECT COUNT(pid) as nbsites FROM $table_posts WHERE tid=" . intval($tid));
    $row = sql_fetch_object($result);
    $replynum = (empty($row->nbsites)) ? 1 : $row->nbsites + 1;
    if ($replynum >= $ppp) {
        $threadlink = MXB_BM_VIEWTHREAD1 . "fid=$fid&amp;tid=$tid";
        eval(_EVALTREVLT);

        ?>
<tr class="tablerow altbg1">
<td colspan="2" valign="top"><?php echo mxbMessageScreen(_TREVLTMSG)?></td>
</tr>
<?php
    } else {
        $thisbg = 'altbg1';
        $result = sql_query("SELECT * FROM $table_posts WHERE tid=" . intval($tid) . " ORDER BY dateline DESC");
        while ($reply = sql_fetch_object($result)) {
            $date = gmdate($dateformat, (int)$reply->dateline + ($timeoffset * 3600));
            $time = gmdate($timecode, (int)$reply->dateline + ($timeoffset * 3600));

            $poston = _TEXTPOSTON . " $date " . _TEXTAT . " $time";
            if ($reply->icon) {
                $reply->icon = "<img src=\"" . MXB_BASEMODIMG . "/" . $reply->icon . "\" alt=\"Icon depicting mood of post\" />";
            }

            $reply->message = stripslashes($reply->message);
            $reply->message = mxbPostify($reply->message, $forums->allowhtml, $forums->allowsmilies, $forums->allowbbcode, $forums->allowimgcode, $reply->smileyoff, $reply->bbcodeoff);

            ?>
<tr class="tablerow <?php echo $thisbg ?>">
<td rowspan="2" valign="top" width="18%"><span class="postauthor"><?php echo $reply->author?></span><br /><br /></td>
<td width="82%"><?php echo $reply->icon?>  <?php echo $poston?></td></tr>
<tr class="tablerow <?php echo $thisbg ?>">
<td height="120" valign="top" width="82%">
  <div class="ebpostchild f12pix"><?php echo $reply->message?></div>
</td></tr>
<?php
            if ($thisbg == 'altbg2') {
                $thisbg = 'altbg1';
            } else {
                $thisbg = 'altbg2';
            }
        }
        $result = sql_query("SELECT * FROM $table_threads WHERE tid=" . intval($tid));
        $topic = sql_fetch_object($result);
        $date = gmdate($dateformat, (int)$topic->dateline + ($timeoffset * 3600));
        $time = gmdate($timecode, (int)$topic->dateline + ($timeoffset * 3600));

        $poston = _TEXTPOSTON . " $date " . _TEXTAT . " $time";
        if (!empty($topic->icon)) {
            $topic->icon = "<img src=\"" . MXB_BASEMODIMG . "/" . $topic->icon . "\" alt=\"Icon depicting mood of post\" />";
        }

        $topic->message = stripslashes($topic->message);
        $topic->message = mxbPostify($topic->message, $forums->allowhtml, $forums->allowsmilies, $forums->allowbbcode, $forums->allowimgcode, $topic->smileyoff, $topic->bbcodeoff);

        ?>
<tr class="tablerow <?php echo $thisbg ?>">
<td rowspan="2" valign="top" width="18%"><span class="postauthor"><?php echo $topic->author?></span><br /><br /></td>
<td width="82%"><?php echo $topic->icon?>  <?php echo $poston?></td></tr>
<tr class="tablerow <?php echo $thisbg ?>">
<td height="120" valign="top" width="82%">
  <div class="ebpostchild f12pix"><?php echo $topic->message?></div>
</td></tr>
<?php
    }

    ?>
    </table></td></tr></table>
<?php
}

?>
